library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
entity tbelab is
end tbelab;

architecture tbbelab of tbelab is

component elabora is 
	port(clk,start: in std_logic;
	din: in std_logic_vector(15 downto 0);
	ris: out std_logic_vector(15 downto 0);
	fine: out std_logic );
end component;

signal clk,fine : std_logic; 
signal start: std_logic:= '1';
signal din,ris: std_logic_vector(15 downto 0);

begin
	du: elabora port map (clk,start,din,ris,fine);
	
	process
	begin
		clk<= '1' ;
		wait for 5 ns;
		clk<= '0' ;
		wait for 5 ns;
	end process;   
	
	
	process
	begin
		start <= '1';
		wait for 10 ns;
		start <= '0';
		wait until fine= '1';
		wait for 10 ns;
	end process;
	
	
		din <= 	conv_std_logic_vector(0,16) after 0 ns, --store r0
		       	conv_std_logic_vector(4,16) after 10 ns,  -- dato 0
		       	conv_std_logic_vector(1,16) after 35 ns, --store r1
				conv_std_logic_vector(5,16) after 55 ns, -- dato 1
				conv_std_logic_vector(4,16) after 75 ns, -- add r0
				conv_std_logic_vector(2,16) after 125 ns, --store r0 r1
				conv_std_logic_vector(7,16) after 145 ns,  -- dato 0
				conv_std_logic_vector(4,16) after 155 ns,  -- dato 1
				conv_std_logic_vector(5,16) after 185 ns; -- add r1
		
end tbbelab;
